grobCoords {grid} | R Documentation

## Calculate Points on the Perimeter of a Grob

### Description

These functions calculate points along the perimeter (or length) of a grob.

### Usage

    grobCoords(x, closed, ...)
    grobPoints(x, closed, ...)
    emptyCoords
    isEmptyCoords(coords)

### Arguments

`x` | A grob object.
`closed` | Whether we are asking for points along the perimeter of a closed object or points along the length of an open object. Some grobs (e.g., X-splines) can do both.
`...` | Arguments to be used by methods.
`coords` | A set of grob coordinates (as generated by `grobCoords`).

### Details

Custom grobs can write their own methods for `grobPoints`.

The `emptyCoords` object can be used to return a "null" result (e.g., when asking for `closed` coordinates on an open line) and the `isEmptyCoords` function can be used to check for "null" results.

### Value

A list of lists with components `x` and `y`. All locations are in inches relative to the current grid viewport.

### Author(s)

Paul Murrell

[Package grid version 3.6.0 Index]